Deep Cove News

General news and announcements


Page: 1 2 3 4 5 ()
DiscussionStarted byRepliesLast post
Family BBQ & Kid Kiosk Tomorrow! Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Tue, 20 Jun 2017, 3:20 PM
Update on district email Picture of Brock Simmonds Brock Simmonds 0 Brock Simmonds
Mon, 19 Jun 2017, 8:39 AM
Multicultural Dance Presentation available Picture of Julien Michaud Julien Michaud 0 Julien Michaud
Fri, 16 Jun 2017, 1:41 PM
Summer Mindfulness Programs Steve Steve MacGregor 0 Steve MacGregor
Thu, 15 Jun 2017, 9:50 AM
Last Hot Lunch! Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Tue, 13 Jun 2017, 3:12 PM
Cultural Dance Thank-Yous Steve Steve MacGregor 0 Steve MacGregor
Sat, 10 Jun 2017, 8:56 PM
Gardening Opportunity Picture of Julien Michaud Julien Michaud 0 Julien Michaud
Fri, 9 Jun 2017, 9:36 AM
Cultural Dance Presentation Reminders Steve Steve MacGregor 0 Steve MacGregor
Thu, 8 Jun 2017, 6:42 PM
Kid's Kiosks Picture of Julien Michaud Julien Michaud 0 Julien Michaud
Thu, 8 Jun 2017, 11:04 AM
Important Reminders for Tuesday's Intermediate Track Meet at UVic Steve Steve MacGregor 0 Steve MacGregor
Mon, 5 Jun 2017, 2:33 PM
A Message from our Superintendent to all Parents Steve Steve MacGregor 0 Steve MacGregor
Fri, 2 Jun 2017, 2:24 PM
Please return library books Picture of Julien Michaud Julien Michaud 0 Julien Michaud
Wed, 31 May 2017, 10:04 AM
Student placements 2017-2018 Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Mon, 29 May 2017, 10:45 AM
Multi-Cultural Dance Presentation Ticketing Steve Steve MacGregor 0 Steve MacGregor
Fri, 26 May 2017, 10:32 AM
Confirmed case of Pertussis (whooping cough) Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Thu, 25 May 2017, 2:52 PM
Administrative Announcement Steve Steve MacGregor 0 Steve MacGregor
Tue, 23 May 2017, 2:22 PM
Reminder of "Children and Media" presentation tonight! Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Tue, 23 May 2017, 2:02 PM
Lost glasses Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Thu, 18 May 2017, 2:46 PM
Budget Update Picture of Julien Michaud Julien Michaud 0 Julien Michaud
Wed, 17 May 2017, 12:51 PM
Deep Cove Special Presentation - "Children and Media" Picture of Julien Michaud Julien Michaud 0 Julien Michaud
Fri, 12 May 2017, 12:59 PM
Newsletter and Summer Camp Info Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Thu, 4 May 2017, 2:00 PM
Class Photos May 4th! Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Wed, 3 May 2017, 3:39 PM
Reminder: Understanding & Managing Childhood Anxiety, with Julie-Anne Richards this Thursday evening Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Mon, 1 May 2017, 12:45 PM
Dance Club to Perform at Dance Highlights May 8th! Steve Steve MacGregor 0 Steve MacGregor
Fri, 28 Apr 2017, 1:44 PM
Administrative Professionals' Day Picture of Julien Michaud Julien Michaud 0 Julien Michaud
Wed, 26 Apr 2017, 2:51 PM
Earth Week Thank Yous! Steve Steve MacGregor 0 Steve MacGregor
Mon, 24 Apr 2017, 11:20 AM
Lost & Found Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Thu, 20 Apr 2017, 3:20 PM
Understanding & Managing Childhood Anxiety Workshop Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Tue, 18 Apr 2017, 12:29 PM
Earth Week Picture of Julien Michaud Julien Michaud 0 Julien Michaud
Thu, 13 Apr 2017, 2:18 PM
Hot Lunch Reminder/Deadline Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Mon, 10 Apr 2017, 2:20 PM
We Are Deep Cove :) Steve Steve MacGregor 0 Steve MacGregor
Fri, 7 Apr 2017, 4:33 PM
Beliefs Week Continues Steve Steve MacGregor 0 Steve MacGregor
Wed, 5 Apr 2017, 5:17 PM
Deep Cove Beliefs Week Steve Steve MacGregor 0 Steve MacGregor
Mon, 3 Apr 2017, 4:34 PM
Leprechaun Fun Run tomorrow! Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Thu, 16 Mar 2017, 10:33 AM
Hot Lunch Update Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Mon, 13 Mar 2017, 8:48 AM
Maple Man coming tomorrow! Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Thu, 9 Mar 2017, 10:29 AM
Reminder: Early Dismissal @ 1:48 on Wednesday, the 8th Steve Steve MacGregor 0 Steve MacGregor
Tue, 7 Mar 2017, 5:06 PM
Reminder/Book Fair Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Fri, 3 Mar 2017, 12:51 PM
World Book Day/Information Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Wed, 1 Mar 2017, 11:32 AM
Mindfulness Update Steve Steve MacGregor 0 Steve MacGregor
Thu, 23 Feb 2017, 2:02 PM
Buddy Run and Hot Lunch Deadline Steve Steve MacGregor 0 Steve MacGregor
Tue, 21 Feb 2017, 9:15 AM
Couple of Announcements Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Thu, 16 Feb 2017, 3:07 PM
French Book Fair this week! Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Tue, 14 Feb 2017, 3:05 PM
Hot Lunch ordering deadline Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Fri, 10 Feb 2017, 2:35 PM
Lieutenant Governor Assembly Steve Steve MacGregor 0 Steve MacGregor
Thu, 9 Feb 2017, 6:50 PM
Update: Jump Rope for Heart Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Thu, 9 Feb 2017, 12:14 PM
Schools OPEN and Buses Running Thursday Steve Steve MacGregor 0 Steve MacGregor
Thu, 9 Feb 2017, 6:12 AM
Schools Open and Buses Running Wednesday Steve Steve MacGregor 0 Steve MacGregor
Wed, 8 Feb 2017, 6:01 AM
Lieutenant Governor Visit Steve Steve MacGregor 0 Steve MacGregor
Tue, 7 Feb 2017, 2:54 PM
All District Schools Closed, Tuesday, February 7th. Steve Steve MacGregor 0 Steve MacGregor
Tue, 7 Feb 2017, 6:45 AM
District Schools Closed for the Remainder of Monday, February 6th Steve Steve MacGregor 0 Steve MacGregor
Mon, 6 Feb 2017, 11:18 AM
Buses Cancelled and Schools Not in Session Monday, February 6th Steve Steve MacGregor 0 Steve MacGregor
Mon, 6 Feb 2017, 6:32 AM
Jump Rope For Heart - Award of Merit Year!!! Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Fri, 3 Feb 2017, 3:16 PM
School Open and Buses Running Friday. Steve Steve MacGregor 0 Steve MacGregor
Fri, 3 Feb 2017, 7:03 AM
Important: Whooping Cough Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Wed, 25 Jan 2017, 9:11 AM
Proposed School Calendars Steve Steve MacGregor 0 Steve MacGregor
Fri, 20 Jan 2017, 3:54 PM
Global Friendship Program - NSMS Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Wed, 18 Jan 2017, 8:46 AM
Pokemon at School Steve Steve MacGregor 0 Steve MacGregor
Tue, 17 Jan 2017, 4:30 PM
Free Managing Youth & Child Stress Seminar Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Tue, 17 Jan 2017, 3:20 PM
Hockey Tickets Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Fri, 13 Jan 2017, 12:09 PM
Royals Hockey Tickets Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Thu, 12 Jan 2017, 2:07 PM
Carnaval Week Picture of Julien Michaud Julien Michaud 0 Julien Michaud
Wed, 11 Jan 2017, 2:39 PM
New Kindergarten Information Evenings and Registration Steve Steve MacGregor 0 Steve MacGregor
Tue, 3 Jan 2017, 2:32 PM
Happy Holidays! Steve Steve MacGregor 0 Steve MacGregor
Fri, 16 Dec 2016, 3:26 PM
BC Education Grant Steve Steve MacGregor 0 Steve MacGregor
Fri, 16 Dec 2016, 3:24 PM
Last Day to Add to The Food Bank Express! Steve Steve MacGregor 0 Steve MacGregor
Thu, 15 Dec 2016, 10:07 PM
Hot Lunch and Sledding Closed. Steve Steve MacGregor 0 Steve MacGregor
Thu, 15 Dec 2016, 4:48 PM
Save the Date: Parent Presentation About Childhood Anxiety Steve Steve MacGregor 0 Steve MacGregor
Wed, 14 Dec 2016, 1:29 PM
Newsletter Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Wed, 14 Dec 2016, 11:31 AM
Schools are Open and Buses Running Monday. Steve Steve MacGregor 0 Steve MacGregor
Mon, 12 Dec 2016, 7:59 AM
Date correction from yesterday's post Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Fri, 9 Dec 2016, 12:57 PM
Schools are Open and Buses are Running Friday! Steve Steve MacGregor 0 Steve MacGregor
Fri, 9 Dec 2016, 6:39 AM
Deep Cove Food Bank Express! Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Wed, 7 Dec 2016, 2:53 PM
IMPORTANT - Weather Information Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Wed, 7 Dec 2016, 11:57 AM
Did You Win the Principal's Parking Space? Steve Steve MacGregor 0 Steve MacGregor
Mon, 5 Dec 2016, 4:13 PM
Raffle Tickets Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Fri, 2 Dec 2016, 1:59 PM
CHRISTMAS FAIR TONIGHT! - Reminders Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Fri, 2 Dec 2016, 11:11 AM
Last call for Poinsettia's! Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Thu, 1 Dec 2016, 3:40 PM
Poinsettia Pick-up times Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Tue, 29 Nov 2016, 3:09 PM
Xmas Fair Raffle Tickets Home Today! Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Fri, 25 Nov 2016, 2:57 PM
Soccer Jamboree Reminders For Thursday Morning Steve Steve MacGregor 0 Steve MacGregor
Wed, 23 Nov 2016, 1:47 PM
Early Dismissal Today at 1:48 Steve Steve MacGregor 0 Steve MacGregor
Wed, 23 Nov 2016, 7:21 AM
Reminder - Remembrance Day Assembly tomorrow Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Wed, 9 Nov 2016, 2:52 PM
Understanding Mental Health: A Jack Talk for Parents. Picture of Julien Michaud Julien Michaud 0 Julien Michaud
Fri, 4 Nov 2016, 12:48 PM
Important Reminders for the Week Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Mon, 31 Oct 2016, 1:36 PM
Halloween Costume Reminders/Cautions Steve Steve MacGregor 0 Steve MacGregor
Fri, 28 Oct 2016, 1:06 PM
Hot Lunch Day Reminder Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Wed, 26 Oct 2016, 10:06 AM
Deep Cove Administrative Announcement Steve Steve MacGregor 0 Steve MacGregor
Thu, 20 Oct 2016, 2:07 PM
Thursday Mindfulness Sessions for Students and Parents Steve Steve MacGregor 0 Steve MacGregor
Wed, 19 Oct 2016, 11:19 AM
Important Reminders & ProD programs attached Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Thu, 13 Oct 2016, 11:32 AM
Picture Day Tomorrow! Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Tue, 11 Oct 2016, 11:32 AM
Important Notices - Hot Lunch Forms Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Tue, 11 Oct 2016, 9:00 AM
School Handbook Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Tue, 4 Oct 2016, 3:47 PM
Final Push For Terry Fox! Steve Steve MacGregor 0 Steve MacGregor
Mon, 3 Oct 2016, 9:31 AM
Fun Run Deadline Wednesday Steve Steve MacGregor 0 Steve MacGregor
Mon, 3 Oct 2016, 9:30 AM
Orange Shirt Day - Friday Sept. 30 Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Thu, 29 Sep 2016, 2:38 PM
Thank You & Reminders Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Fri, 23 Sep 2016, 3:14 PM
Gardening at Deep Cove School Picture of Julien Michaud Julien Michaud 0 Julien Michaud
Fri, 23 Sep 2016, 2:40 PM
Fun Run Early Bird Deadline is Today (Friday). Steve Steve MacGregor 0 Steve MacGregor
Fri, 23 Sep 2016, 8:35 AM
Reminder - "KNOW YOUR SCHOOL NIGHT" tonight! Picture of Monica Pellizzari Monica Pellizzari 0 Monica Pellizzari
Thu, 22 Sep 2016, 9:28 AM
Page: 1 2 3 4 5 ()